IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FNMDL_KesinTani]') AND xtype in (N'FN', N'IF', N'TF'))
DROP FUNCTION [dbo].FNMDL_KesinTani
GO

create FUNCTION [dbo].[FNMDL_KesinTani](@HDOSYAID INTEGER,@MDLTEDAVITURU NVARCHAR(1))
RETURNS TABLE AS
RETURN

SELECT TOP 1   CASE WHEN Adet>0 THEN 2 ELSE 1 end Kontrol,'Kesin Tanư Kontrol' KontrolAdi FROM
(
	SELECT COUNT(*) Adet FROM HDOSYA 
	INNER JOIN HDOSYAICD ON HDOSYA.HDOSYAID=HDOSYAICD.HDOSYAID 
	INNER JOIN TICDTURU ON TICDTURU.ICDTURUID=HDOSYAICD.ICDTURUID 
	WHERE HDOSYAICD.ICDTURUID=2 AND ICDMDLKAYDET=1 AND HDOSYA.HDOSYAID=@HDOSYAID AND  MDLTEDAVITURU=@MDLTEDAVITURU 
	) AS T  

GO








